Library Version 18.1.40

DB_ENV->get_encrypt_flags()
Prev | Chapter 5. The DB_ENV Handle | Next

## DB_ENV->get_encrypt_flags()

    #include <db.h>

    int
    DB_ENV->get_encrypt_flags(DB_ENV *dbenv, u_int32_t *flagsp);

The `DB_ENV->get_encrypt_flags()` method returns the encryption flags.

The `DB_ENV->get_encrypt_flags()` method may be called at any time during the life of the application.

The `DB_ENV->get_encrypt_flags()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### flagsp

The `DB_ENV->get_encrypt_flags()` method returns the encryption flags in flagsp.

### Class

DB_ENV

### See Also

Database Environments and Related Methods

Prev | Up | Next
DB_ENV->get_data_len() | Home | DB->get_env()